<< uencode | FOSSEE_Signal_Processing_Toolbox | unwrap2 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > unshiftdata

# unshiftdata

Inverts the effect of shiftdata

### Syntax

    y=unshiftdata(x,perm,nshifts)

### Parameters

x :

  A vector matrix or n-dimensional array

perm :

  Permutation applied by shiftdata to obtain x

nshifts :

  The number of shifts applied by shiftdata to obtain x

### Description

y=unshiftdata(x,perm,nshifts) Applies the permutation perm or number of shifts nshifts on x to invert shiftdata

### Examples

    x=testmatrix('magi',3)
    [y,perm,nshifts] = shiftdata(x,2) //Shifts dimension 2
    z=unshiftdata(y,perm,nshifts)
    [y,perm,nshifts] = shiftdata(x) //Shifts first non-singleton dimension
    z=unshiftdata(y,perm,nshifts)

### See also

Report an issue
<< uencode | FOSSEE_Signal_Processing_Toolbox | unwrap2 >>